image: wpilib/roborio-cross-ubuntu:2020-18.04


# Disable the Gradle daemon for Continuous Integration servers as correctness
# is usually a priority over speed in CI environments. Using a fresh
# runtime for each build is more reliable since the runtime is completely
# isolated from any previous builds.
stages:
- build
- deploy

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"

before_script:
  - cd InfiniteRecharge2020/

compile_source:
  stage: build
  script:
    - "rm -f $HOME/.gradle/caches"
    - "./gradlew build"
  coverage: '/Total.*?([0-9]{1,3})%/'

# robot_tests:
#   when: manual
#   stage: deploy
#   script:
#     - echo "You tested; cool"
#   allow_failure: false
